
D4Science Infrastructure - Support #430

Handle special characters in Home Library

Jul 28, 2015 03:37 PM - Valentina Marioli

Status: Closed Start date: Jul 28, 2015

Priority: Urgent Due date:  

Assignee: Valentina Marioli % Done: 100%

Category:  Estimated time: 0.00 hour

Infrastructure: Production   

Description

Home Library does not handle special characters in filenames.

History

#1 - Jul 28, 2015 03:38 PM - Valentina Marioli

- Status changed from New to In Progress

#2 - Jul 31, 2015 04:53 PM - Valentina Marioli

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The bug has been fixed, using the correct Character Encoding and escaping the illegal JCR chars. While the node name is escaped to respect

Jackrabbit encoding, the node name shown to the user is a sort of display name.

The fix has been released, so this ticket can be closed.
